package com.jxy.common.security.annotation;

import org.springframework.cloud.openfeign.EnableFeignClients;

import java.lang.annotation.*;

/**
 * @Description 自定义feign注解
 *  * 添加basePackages 主类包路径
 * @Date 2022/5/16 11:12
 * @Author 杜懿
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
@EnableFeignClients
public @interface   EnableJXYFeignClients {

    String[] value() default {};

    String[] basePackages() default { "com.jxy" };

    Class<?>[] basePackageClasses() default {};

    Class<?>[] defaultConfiguration() default {};

    Class<?>[] clients() default {};
}
